---
title: SVGFEBlendElement
slug: Web/API/SVGFEBlendElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFEBlendElement</code></strong> interface corresponds to the {{SVGElement("feBlend")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_FEBLEND_MODE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_FEBLEND_MODE_NORMAL</code></td>
   <td>1</td>
   <td>Corresponds to the value <code>normal</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FEBLEND_MODE_MULTIPLY</code></td>
   <td>2</td>
   <td>Corresponds to the value <code>multiply</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FEBLEND_MODE_SCREEN</code></td>
   <td>3</td>
   <td>Corresponds to the value <code>screen</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FEBLEND_MODE_DARKEN</code></td>
   <td>4</td>
   <td>Corresponds to the value <code>darken</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_FEBLEND_MODE_LIGHTEN</code></td>
   <td>5</td>
   <td>Corresponds to the value <code>lighten</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFEBlendElement.in1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("in")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEBlendElement.in2")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("in2")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEBlendElement.mode")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("mode")}} attribute of the given element. It takes one of the <code>SVG_FEBLEND_MODE_*</code> constants defined on this interface.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFEBlendElement", "SVGFEBlendElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFEBlendElement", "SVGFEBlendElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFEBlendElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feBlend")}}</li>
</ul>
